Loading...
Searching...
No Matches
Gfx::Texture Struct Reference

Info about a texture. More...

`#include <src/graphics/core/texture.h>`

## Public Member Functions

bool | Valid () const
| Returns whether the texture is valid (ID != 0).
void | SetInvalid ()
| Sets the ID to invalid value (0).
bool | operator< (const Texture &other) const
| Comparator for use in texture maps and sets.
bool | operator== (const Texture &other) const
| Comparator.

## Public Attributes

unsigned int | id = 0
| ID of the texture in graphics engine; 0 = invalid texture.
Math::IntPoint | size
| Size of texture.
Math::IntPoint | originalSize
| Original size of texture (as loaded from image).
bool | alpha = false
| Whether the texture has alpha channel.

## Detailed Description

Info about a texture.

Identifies (through id) a texture created in graphics engine. Also contains some additional data.

## Member Function Documentation

## Valid()

bool Gfx::Texture::Valid | ( |  | ) | const

inline

Returns whether the texture is valid (ID != 0).

## SetInvalid()

void Gfx::Texture::SetInvalid | ( |  | ) |

inline

Sets the ID to invalid value (0).

## operator<()

bool Gfx::Texture::operator< | ( | const Texture & | other | ) | const

inline

Comparator for use in texture maps and sets.

## operator==()

bool Gfx::Texture::operator== | ( | const Texture & | other | ) | const

inline

Comparator.

## Member Data Documentation

## id

unsigned int Gfx::Texture::id = 0

ID of the texture in graphics engine; 0 = invalid texture.

## size

Math::IntPoint Gfx::Texture::size

Size of texture.

## originalSize

Math::IntPoint Gfx::Texture::originalSize

Original size of texture (as loaded from image).

## alpha

bool Gfx::Texture::alpha = false

Whether the texture has alpha channel.

The documentation for this struct was generated from the following file:

- src/graphics/core/texture.h